<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     enrol_gapply
 * @category    string
 * @copyright   2022 Sokunthearith Makara <sokunthearithmakara@gmail.com>
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['messageprovider:enrolled'] = 'បានចុះឈ្មោះ';
$string['pluginname'] = 'សំណើចូលរៀន';
$string['customtext'] = 'Custom text';
$string['applicationtext'] = 'អត្ថបទស្នើ';
$string['applicationattachment'] = 'ឯកសារស្នើ';
$string['name'] = 'ឈ្មោះ';
$string['description'] = 'សេចក្តីណែនាំសម្រាប់ចុះឈ្មោះ';
$string['requireapplicationtext'] = 'ទាមទារអត្ថបទក្នុងពាក្យស្នើសុំចូលរៀន';
$string['requireapplicationfile'] = 'ទារទារឯកសារភ្ជាប់ក្នុងពាក្យស្នើសុំចូលរៀន';
$string['alreadyapplied'] = '<b>ពាក្យស្មើសុំចូលរៀនរបស់អ្នកត្រូវបានបញ្ជូននៅ{$a} ។</b><br/>អ្នកនឹងទទួលបានដំណឹងនៅពេលដែលពាក្យស្នើសុំរបស់អ្នកត្រូវបានពិនិត្យរួចរាល់។';
$string['apply'] = 'ស្នើសុំចូលរៀន';
$string['applications'] = 'សំណើចូលរៀន';
$string['manage'] = 'គ្រប់គ្រង';
$string['participants'] = 'អ្នកចូលរួម';
$string['application'] = 'សំណើ';
$string['userdetails'] = 'អ្នកស្នើ';
$string['applicationdetails'] = 'ព័ត៌មានសំណើ';
$string['noapplications'] = 'មិនមានសំណើសម្រាប់ពិនិត្យទេ។';
$string['youhavebeenwaitlisted'] = '<b>អ្នកត្រូវបានដាក់ក្នុងបញ្ជីរង់ចាំ</b><br>អ្នកនឹងត្រូវបានអនុញ្ញាតឲ្យចូលរៀន ក្នុងករណីដែលមានកន្លែងទំនេរនៅពេលក្រោយ។ នៅពេលនោះ អ្នកនឹងទទួលដំណឹង។';
$string['youhavebeenrejected'] = '<b>សំណើរបស់អ្នកត្រូវបានបដិសេធ</b><br>អ្នកនឹងមិនអាចចូលរៀនក្នុងវគ្គសិក្សានេះទេ។';
$string['enrolmentapplications'] = 'សំណើចូលរៀន';
$string['id'] = 'ID';
$string['approve'] = 'អនុញ្ញាត';
$string['reject'] = 'បដិសេធ';
$string['waitlist'] = 'រង់ចាំ';
$string['delete'] = 'លុប';
$string['approved'] = 'បានអនុញ្ញាត';
$string['rejected'] = 'បានបដិសេធ';
$string['waitlisted'] = 'បានរង់ចាំ';
$string['deleted'] = 'បានលុប';
$string['success'] = 'សំណើត្រូវបានកែប្រែដោយជោគជ័យ។';
$string['new'] = 'ថ្មី';
$string['viewcourse'] = 'មើលវគ្គសិក្សា';
$string['applicationapproved'] = 'សំណើចូលរៀនរបស់អ្នកសម្រាប់វគ្គសិក្សា {$a} ត្រូវបានអនុម័ត។';
$string['applicationwaitlist'] = 'សំណើចូលរៀនរបស់អ្នកសម្រាប់វគ្គសិក្សា {$a} ត្រូវបានដាក់ក្នុងបញ្ជីរង់ចាំ។';
$string['applicationreject'] = 'សំណើចូលរៀនរបស់អ្នកសម្រាប់វគ្គសិក្សា {$a} ត្រូវបានបដិសេធ។';
$string['manageapplications'] = 'គ្រប់គ្រងសំណើចូលរៀន';
$string['messageprovider:gapply'] = 'ដំណឹងពីសំណើចូលរៀន';
$string['areyousureyouwantto'] = 'តើអ្នកប្រាកដជាចង់{$a}សំណើចូលរៀនដែលអ្នកបានជ្រើសរើសមែនទេ?';
$string['cancel'] = 'បោះបង់';
$string['proceed'] = 'បន្ត';
$string['newapplicationfor'] = 'ពាក្យស្នើចូលរៀនថ្មីសម្រាប់ {$a}';
$string['newapplicationtext'] = '{$a->username} បានដាក់ពាក្យស្នើសុំចូលរៀនសម្រាប់វគ្គសិក្សា {$a->coursefullname} ។';
$string["profilesummary"] = "ប្រវត្តិរូបសង្ខេប";
$string['verified'] = 'បានផ្ទៀងផ្ទាត់';
$string['telegram'] = 'តេលេក្រាម';
$string['connected'] = 'បានភ្ជាប់ហើយ';
$string['notconnected'] = 'មិនទាន់បានភ្ជាប់ទេ';
$string['enrolledcourses'] = 'វគ្គសិក្សារៀន';
$string['teachingcourses'] = 'វគ្គសិក្សាបង្រៀន';
$string['membersince'] = 'សមាជិកតាំងពី ';
$string['lastaccess'] = 'ចូលចុងក្រោយ ';
$string['hidden'] = 'លាក់';
$string['notverified'] = 'មិនបានភ្ជាប់នឹង HRCPD';
$string['close'] = 'បិទ';
$string['assigngroups'] = 'បែងចែកក្រុម';
$string['cannotopenfile'] = 'មិនអាចបើកឯកសារបានទេ។ សូមទាញយក។';
$string['cannotopenpdffile'] = 'មិនអាចបង្ហាញឯកសារ PDF នេះបានលើឧបករណ៍នេះទេ។ សូមទាញយក។';
$string['datatableinfo'] = 'បង្ហាញ _START_ - _END_ ចំណោម _TOTAL_ ជួរ';
$string['datatableinfoempty'] = 'បង្ហាញ 0 - 0 - 0 ជួរ';
$string['datatableinfofiltered'] = '(ចម្រាញ់ពីជួរសរុប _MAX_)';
$string['nofound'] = 'រកមិនឃើញ';
$string['previous'] = 'មុន';
$string['next'] = 'បន្ទាប់';
$string['first'] = 'ដំបូង';
$string['last'] = 'ចុងក្រោយ';
$string['search'] = 'ស្វែងរក';
$string['download'] = 'ទាញយក';
$string['rowsselected'] = 'បានជ្រើសរើស %d ជួរ';
$string['showapplicationtext'] = 'បង្ហាញប្រអប់អត្ថបទពាក្យស្នើចូលរៀន';
$string['showapplicationfile'] = 'បង្ហាញប្រអប់ផ្ទុកឯកសារពាក្យស្នើចូលរៀន';
$string['enrolment'] = 'ការចូលរៀន';
$string['applicationstartdate'] = 'ចាប់ទទួលពាក្យស្នើ';
$string['applicationenddate'] = 'ឈប់ទទួលពាក្យស្នើ';
$string['availability'] = 'ដាក់កំហិត';
$string['notavailableanymore'] = 'ថ្ងៃឈប់ទទួលពាក្យគឺ​ {$a} ។ យើងមិនទទួលពាក្យស្នើទៀតទេ ។';
$string['applicationnotavailable'] = 'មិនទាន់ដល់ថ្ងៃចាប់ផ្តើមទទួលពាក្យចូលរៀនទេ ។';
$string['edit'] = 'ប្តូរការកំណត់';
$string['requiredfields'] = 'ទាមទារប្រអប់ទិន្នន័យ';
$string['editmyprofile'] = 'កែប្រែប្រវត្តិរូប';
$string['profilefieldrequired'] = 'សូមបំពេញប្រវត្តិរូបរបស់អ្នក ដើម្បីដាក់ពាក្យចូលរៀនក្នុងវគ្គសិក្សានេះ ។';
$string['connecthrmis'] = 'ភ្ជាប់នឹងគណនី HRCPD';
$string['notavailableyet'] = 'ចាប់ទទួលពាក្យចូលរៀនពី<b>{$a}</b>។ សូមព្យាយាមម្ដងទៀតនៅពេលក្រោយ ។';
$string['applicationends'] = 'ថ្ងៃផុតកំណត់ទទួលពាក្យ៖ <b>{$a}</b>';
$string['maxattachmentnum'] = 'ចំនួនឯកសារអតិបរមា';
$string['maxattachmentsize'] = 'ទំហំឯកសារអតិបរមា';
$string['acceptedfiletypes'] = 'ប្រភេទឯកសារ';
$string['approveapplications'] = 'អនុម័តពាក្យស្នើសុំចូលរៀន';
$string['rejectapplications'] = 'បដិសេធពាក្យស្នើសុំចូលរៀន';
$string['waitlistapplications'] = 'ដាក់ក្នុងបញ្ជីរងចាំ';
$string['deleteapplications'] = 'លុបពាក្យស្នើសុំចូលរៀន';
$string['areyousureyouwanttodelete'] = 'តើអ្នកពិតជាចង់លុបពាក្យស្នើចូលរៀនដែលបានជ្រើសរើសនេះមែនទេ?';
$string['areyousureyouwanttoreject'] = 'តើអ្នកពិតជាចង់បដិសេធពាក្យស្នើចូលរៀនដែលបានជ្រើសរើសនេះមែនទេ?';
$string['areyousureyouwanttowaitlist'] = 'តើអ្នកពិតជាចង់ដាក់ពាក្យស្នើដែលបានជ្រើសរើសនេះទៅក្នុងបញ្ជីរង់ចាំមែន?';
$string['areyousureyouwanttoapprove'] = 'តើអ្នកពិតជាចង់អនុម័តពាក្យស្នើដែលបានជ្រើសរើសនេះមែនទេ?';
$string['enrollmentapproved'] = 'ពាក្យស្នើចូលរៀនរបស់អ្នកត្រូវបានអនុម័ត។ អ្នកនឹងអាចចូលរៀននៅ{$a} ។';
$string['cannotenrol'] = 'អ្នកមិនអាចចូលរៀនវគ្គសិក្សានេះទេ ។';
$string['enrolmentexpired'] = 'ការចូលរៀនរបស់អ្នកក្នុងវគ្គសិក្សានេះបានផុតកំណត់កាលពី{$a} ។';
$string['enrolmentsuspended'] = 'ការចូលរៀនរបស់អ្នកក្នុងវគ្គសិក្សានេះត្រូវបានផ្អាក ។';
